{
  "schema_version": "1.4.0",
  "id": "GHSA-jhg3-999m-vxmh",
  "modified": "2022-05-01T23:41:25Z",
  "published": "2022-05-01T23:41:25Z",
  "aliases": [
    "CVE-2008-1574"
  ],
  "details": "Integer overflow in ImageIO in Apple Mac OS X before 10.5.3 allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via a crafted JPEG2000 image that triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-1574"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/42722"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2008//May/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30430"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1020144"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/29412"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/29514"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA08-150A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/1697"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-06-02T21:30:00Z"
  }
}